This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 491409 - pvcreate allows ':' in PV name but that pv name cannot be used later
pvcreate allows ':' in PV name but that pv name cannot be used later
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Rajnoha
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-20 16:11 EDT by Milan Broz
Modified: 2013-02-28 23:07 EST (History)
10 users (show)

See Also:
Fixed In Version: 2.02.74
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-09 09:51:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2009-03-20 16:11:14 EDT
Description of problem:

There should be some better parsing of PV name
(disallow ':' in name or support escape char)

# pvcreate /dev/8\:112
  Physical volume "/dev/8:112" successfully created

# vgcreate vg_test /dev/8\:112
  Volume group "vg_test" successfully created

# lvcreate -n lv1 -L 12M vg_test /dev/8\:112
  Physical Volume "/dev/8" not found in Volume Group "vg_test"

# lvcreate -n lv1 -L 12M vg_test '/dev/8\:112'
  Physical Volume "/dev/8\" not found in Volume Group "vg_test"


Version-Release number of selected component (if applicable):
lvm2 2.02.46
Comment 1 Bug Zapper 2009-06-09 08:28:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 09:17:09 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Alasdair Kergon 2010-04-27 10:41:56 EDT
We need to decide how to allow the : to be quoted.
Comment 4 Bug Zapper 2010-07-30 06:37:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Peter Rajnoha 2010-09-23 08:26:36 EDT
Patch is included in lvm2 2.02.74.

We recognize backslash to escape colons now - '\:' (and backslash itself is escaped by '\\'), for example:

  pvcreate '/dev/8\:112'
  vgcreate vg_test '/dev/8\:112'
  lvcreate -n lv1 -L 12M vg_test '/dev/8\:112'

..should work now. The same applies for '@' sign which is normally used to denote tags when used as the first character in the name.
Comment 6 Alasdair Kergon 2011-02-09 09:51:42 EST
Fixed upstream a while ago.

Note You need to log in before you can comment on or make changes to this bug.